﻿set define off;
BEGIN

	JEFY_ADMIN.API_APPLICATION.CREERFONCTION ( 14, 'ADPJ', 'Administration', '(PRMs, etc.)', 'Gestion des personnes ressources' ,  'N', 'N', 1 );
	commit;
	
	
	INSERT INTO JEFY_ADMIN.TYPE_PERSJUR (
	   TPJ_ID, TPJ_PERE, TPJ_NB_NIV_MAX, 
	   TPJ_LIBELLE) 
	VALUES (1 ,NULL ,0 ,'RACINE' );
	
	INSERT INTO JEFY_ADMIN.TYPE_PERSJUR (
	   TPJ_ID, TPJ_PERE, TPJ_NB_NIV_MAX, 
	   TPJ_LIBELLE) 
	VALUES (2 ,1 ,1 ,'PRM PRINCIPALE' );
	
	INSERT INTO JEFY_ADMIN.TYPE_PERSJUR (
	   TPJ_ID, TPJ_PERE, TPJ_NB_NIV_MAX, 
	   TPJ_LIBELLE) 
	VALUES (3 ,2 ,NULL ,'PRM DELEGUEE' );
	
	
	
	INSERT INTO JEFY_ADMIN.PERSJUR (
	   PJ_ID, PJ_PERE, PJ_NIVEAU, 
	   PJ_DATE_DEBUT, PJ_DATE_FIN, PJ_LIBELLE, 
	   PJ_COMMENTAIRE, TPJ_ID) 
	VALUES (JEFY_ADMIN.PERSJUR_seq.NEXTVAL ,NULL ,0 ,TO_DATE('01/01/2007','dd/mm/yyyy')
	    ,NULL ,'racine' ,NULL
	    ,1 );
	commit;    
	
	INSERT INTO jefy_admin.TYPAP_VERSION ( TYAV_ID, TYAP_ID, TYAV_TYPE_VERSION, TYAV_VERSION, TYAV_DATE,
	TYAV_COMMENT ) VALUES ( 
	jefy_admin.TYPAP_VERSION_seq.NEXTVAL, 1, 'BD', '1.2.0',  SYSDATE, '');
	
	COMMIT; 

END;